package test;


import Genesys.JTele.*;

public class TSrvComm extends Thread {

	private String strTsName;
	private PhTeleLine phTLine = null;
	private PhTeleAddress phTAddr =null;
	private PhTeleCall phTCall = null;
	private String strHost;
	private int intPort;
	private String strDN;
	
	protected boolean isConnected = false;
	public TSrvComm(String tsName, mainInterface tsmain){
		this.strTsName = tsName;
		strHost = tsmain.getTsrvHost();
		intPort = tsmain.getTsrvPort();
	}

	public void run(){
		while( true){
//			if( isConnected){
//				try {
//					System.out.println("run--");
//					this.phTLine.close();
//				} catch (TeleLineException e) {
//					System.out.println("run--"+ e.getMessage());
//					e.printStackTrace();
//				}}
				System.out.println("ran-");
				connectTeleLine();
				System.out.println("?open line Tserver4 ");
				
			}
		}

	private void connectTeleLine() {
		
		this.phTLine = null;
		System.out.println("?open line Tserver ");
		try {
			System.out.println("?open line Tserver2 ");
			this.phTLine = new PhTeleLine(new TeleServerContext(strHost,intPort), strTsName, this);
			phTLine.setAppName("testApp");
			phTLine.open();
			System.out.println("?open line Tserver3 ");
			
			registerDN(strTsName, "73041" );
		} catch (TeleLineException e) {
			System.out.println("Cannot open line Tserver --" + e.getMessage());
			//e.printStackTrace();
		} catch (TeleServerContextException e) {
			System.out.println("Cannot get Tserver context --" + e.getMessage());
			
		}
		
		
	}

	private void registerDN(String tsName, String DN) {
		PhTeleAddress phTAddr;
		try {
			phTAddr = (PhTeleAddress)phTLine.getTeleAddressByDN(DN);
			System.out.println("Registering DN=" + DN + "@ Tserver done--");
			phTAddr.register(DN);
			System.out.println("Registering DN=" + DN + "@ Tserver done--");
			
		} catch (TeleLineException e) {
			System.out.println("Cannot Register DN=" + DN + "@ Tserver --" + e.getMessage());
			//e.printStackTrace();
			return;
		} catch (TeleAddressException e) {
			System.out.println("Cannot Register DN=" + DN + "@ Tserver --" + e.getMessage());
			//e.printStackTrace();
			return;
		}
		
		
		
	}
	
}
